SoapServer::handle
SoapServer::setObject
SoapServer
PHP Manual

# SoapServer::setClass

Sets the class which handles SOAP requests

### Description

public void SoapServer::setClass ( string `$class_name` [, mixed `$args` [, mixed `$...` ]] )

Exports all methods from specified class.

The object can be made persistent across request for a given PHP session with the SoapServer::setPersistence method.

### Parameters

`class_name`

  The name of the exported class.

`args`

  These optional parameters will be passed to the default class constructor during object creation.

### Return Values

No value is returned.

### See Also

- SoapServer::SoapServer
- SoapServer::addFunction
- SoapServer::setPersistence